--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: The gateway must be configured with either your PayPal PEM file or your PayPal API Signature. Only one is required.
- !ruby/struct:SM::Flow::P 
  body: <tt>:pem</tt> The text of your PayPal PEM file. Note
- !ruby/struct:SM::Flow::VERB 
  body: "                      this is not the path to file, but its\n                      contents. If you are only using one PEM\n                      file on your site you can declare it\n                      globally and then you won't need to\n                      include this option\n"
- !ruby/struct:SM::Flow::P 
  body: <tt>:signature</tt> The text of your PayPal signature.
- !ruby/struct:SM::Flow::VERB 
  body: "                      If you are only using one API Signature\n                      on your site you can declare it\n                      globally and then you won't need to\n                      include this option\n"
full_name: ActiveMerchant::Billing::PaypalCommonAPI::new
is_singleton: true
name: new
params: (options = {})
visibility: public
